Forum Clubic

FreeBSD - libssl.so.4 not found

Hello les gens,

Voilà, voilà, 1ère install de Plesk sur un serveur FreeBSD (v. 7.1), le problème est que quand je veux lancer le fichier d’install, celui-ci me sort une erreur :
/libexec/ld-elf.so.1: Shared object “libssl.so.4” not found, required by Installer

J’ai essayé d’installer la version d’OpenSSL (0.9.7a) comme suggéré, mais après recherche sur le serveur, celui-ci me trouve que deux libssl : libssl.so et libssl.so.5.

Personne n’aurais une petite idée :neutre:

Merci d’avance :jap:

Tu peux essayer un ramapper la lib 4 vers la lib 5 dans /etc/libmap.conf en y ajoutant ça :neutre:

Autrement tu peux peut-être prendre la lib sur une autre machine, la mettre sur ton serveur dans un répertoire de lib différent et utiliser les options ldconfig_paths de rc.conf (voir /etc/default/rc.conf pour trouver le parametre à ajouter à ton /etc/rc.conf)

tu peux utiliser ldconfig -r pour voir toutes les lib partagées

Ok merci Zara :jap:

Je vais tester tout ça sur un serveur de test, apparemment il y a des petit soucis avec la version 7 de FreeBSD par rapport à Plesk, mais faut que j’approfondisse le sujet :wink:

En tout cas merci pour les infos

ok tiens moi au courant. y’a qques temps j’avais eu un problème similaire et la solution que j’avais trouvé me paraissait pas propre. j’avais fais une copie de la lib incriminée et je l’avais renommée comme celle que mon programme voulait. c’était samba3 je crois
avec ldconfig_path ou le remappage ça devrait être plus propre

Je réinstalle le tout maintenant en version 7.1, dans quelques heures ça devrait être bon (là j’ai essayé avec une version 6 comme précisé dans la doc, mais si je peux avoir un serveur à jour ça m’arrangerai :wink: )

WIP comme dirait Nico!